<?php
/**
 * Loop - Menu
 *
 * This is the loop used on the menu archive template
 *
 * @package WooFramework
 * @subpackage Template
 */
 global $more; $more = 0;

woo_loop_before();

$object 	= get_queried_object();

if ( is_tax() ) {
	$tag 		= $object->slug;
}

$tax_query	= array();

if ( $tag ) {
	$tax_query 	= array(
		'relation' 			=> 'AND',
	  		array(
	    		'taxonomy' 	=> 'restaurant_tag',
	    		'field' 	=> 'slug',
	    		'terms' 	=> array( $tag ),
	    		'operator' 	=> 'IN'
	  		),
	);
}

$args 		= array(
	'posts_per_page' 	=> -1,
	'post_type'			=> 'restaurant_item',
	'tax_query' 		=> $tax_query,
);

$query = new WP_Query( $args );

if ( is_tax() ) {
	$description = wpautop( $object->description );
} else {
	$description = wpautop( get_post_type_object( get_query_var( 'post_type' ) )->description );
}

?>
	<?php
		if ( is_tax() ) {
			echo '<h2 class="archive_header">' . $object->name . '</h2>';
		} else { ?>
			<h2 class="archive_header"> <?php post_type_archive_title(); ?></h2>
		<?php }
	?>

	<?php
		echo '<section class="menu-description">' . $description . '</section>';
	?>

	<section class="restaurant-menu">

	<?php
	if ( $query->have_posts() ) {
		while ( $query->have_posts() ) { $query->the_post();
			get_template_part( 'content', 'menu' );
		} // End WHILE Loop
	} // End if
	?>

	</section>

<?php woo_loop_after();